package cn.com.countrygarden.bi.main.dao.manager.map;

import java.util.List;

import cn.com.countrygarden.bi.main.dto.HouseKepperDTO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import cn.com.countrygarden.bi.main.core.Mapper;
import cn.com.countrygarden.bi.main.dto.ManagerMapDataDTO;
import cn.com.countrygarden.bi.main.model.manager.map.FengHuangManagerData;

@Repository
public interface ManagerMapIndexMapper extends Mapper<FengHuangManagerData> {
	
	List<ManagerMapDataDTO> getManagerMapData(@Param("organName") String organName,
										@Param("commName") String commName);
	
	List<FengHuangManagerData> findByOrgancode(@Param("organCode") String organCode);
	
	Integer countCommInfo(@Param("organCode") String organCode);

	Integer countHireHouseKeeper();
	
	Integer countQuitHouseKeeper();
	
	HouseKepperDTO countHouseKeeper();
}
